Bug 1277894 - Update breaks LibreOffice and Evince
Update breaks LibreOffice and Evince
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 05:21 EST by Andrea Bolognani
Modified: 2015-11-09 12:52 EST (History)
3 users (show)

See Also:
Fixed In Version: dnf-plugin-system-upgrade-0.7.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 12:52:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/dnf.log (4.25 MB, text/plain)
2015-11-09 09:01 EST, Andrea Bolognani
no flags Details

  None (edit)
Description Andrea Bolognani 2015-11-04 05:21:26 EST
Description of problem:

  After updating from Fedora 22 to Fedora 23 using dnf system-upgrade,
  LibreOffice and Evince are not working anymore.

  This is very likely caused by the fact that both LibreOffice and
  poppler were held back from the upgrade due to broken dependencies.


Version-Release number of selected component (if applicable):

  libreoffice-core-4.4.5.2-10.fc22.x86_64
  evince-3.18.0-1.fc23.x86_64
  poppler-0.30.0-3.fc22.x86_64


How reproducible:

  Always, at least on my system.


Steps to Reproduce:

  1. Run either LibreOffice Writer or Evince


Actual results:

  LibreOffice:

    Component cannot be loaded, possibly broken or incomplete
    installation. Full error message: loading component library
    <file:///usr/lib64/libreoffice/program/../program/libswlo.so>
    failed.

  Evince:

    Failed to load backend for 'application/pdf':
    /usr/lib64/evince/4/backends/libpdfdocument.so: undefined symbol:
    poppler_annot_markup_set_popup_rectangle


Expected results:

  Both LibreOffice and Evince work after the upgrade.


Additional info:

  I expect this to be fixed with the first round of updates to
  Fedora 23, just filed it so that it doesn't fly under the radar.

  Output of 'dnf update' for reference:

Last metadata expiration check performed 0:12:12 ago on Wed Nov  4 11:07:01 2015.
Dependencies resolved.
================================================================================
 Package                         Arch      Version             Repository  Size
================================================================================
Skipping packages with broken dependencies:
 boost                           x86_64    1.58.0-8.fc23       fedora      45 k
 boost-atomic                    x86_64    1.58.0-8.fc23       fedora      47 k
 boost-chrono                    x86_64    1.58.0-8.fc23       fedora      53 k
 boost-context                   x86_64    1.58.0-8.fc23       fedora      59 k
 boost-coroutine                 x86_64    1.58.0-8.fc23       fedora      60 k
 boost-date-time                 x86_64    1.58.0-8.fc23       fedora      59 k
 boost-filesystem                x86_64    1.58.0-8.fc23       fedora      74 k
 boost-graph                     x86_64    1.58.0-8.fc23       fedora     138 k
 boost-iostreams                 x86_64    1.58.0-8.fc23       fedora      68 k
 boost-locale                    x86_64    1.58.0-8.fc23       fedora     279 k
 boost-log                       x86_64    1.58.0-8.fc23       fedora     479 k
 boost-math                      x86_64    1.58.0-8.fc23       fedora     313 k
 boost-program-options           x86_64    1.58.0-8.fc23       fedora     166 k
 boost-python                    x86_64    1.58.0-8.fc23       fedora     134 k
 boost-random                    x86_64    1.58.0-8.fc23       fedora      52 k
 boost-regex                     x86_64    1.58.0-8.fc23       fedora     297 k
 boost-serialization             x86_64    1.58.0-8.fc23       fedora     158 k
 boost-signals                   x86_64    1.58.0-8.fc23       fedora      72 k
 boost-system                    x86_64    1.58.0-8.fc23       fedora      49 k
 boost-test                      x86_64    1.58.0-8.fc23       fedora     222 k
 boost-thread                    x86_64    1.58.0-8.fc23       fedora      89 k
 boost-timer                     x86_64    1.58.0-8.fc23       fedora      51 k
 boost-wave                      x86_64    1.58.0-8.fc23       fedora     235 k
 ceph                            x86_64    1:0.94.3-1.fc23     fedora      17 M
 ceph-common                     x86_64    1:0.94.3-1.fc23     fedora     6.3 M
 ceph-devel-compat               x86_64    1:0.94.3-1.fc23     fedora      19 k
 cups-filters                    x86_64    1.0.75-1.fc23       fedora     654 k
 cups-filters-libs               x86_64    1.0.75-1.fc23       fedora     109 k
 libcephfs1                      x86_64    1:0.94.3-1.fc23     fedora     1.9 M
 libcephfs1-devel                x86_64    1:0.94.3-1.fc23     fedora      29 k
 libcephfs_jni1                  x86_64    1:0.94.3-1.fc23     fedora      49 k
 libcephfs_jni1-devel            x86_64    1:0.94.3-1.fc23     fedora      19 k
 libcmis                         x86_64    0.5.0-8.fc23        fedora     552 k
 liborcus                        x86_64    0.7.1-6.fc23        fedora     266 k
 librados2                       x86_64    1:0.94.3-1.fc23     fedora     1.7 M
 librados2-devel                 x86_64    1:0.94.3-1.fc23     fedora      52 k
 libradosstriper1                x86_64    1:0.94.3-1.fc23     fedora     1.7 M
 libradosstriper1-devel          x86_64    1:0.94.3-1.fc23     fedora      24 k
 librbd1                         x86_64    1:0.94.3-1.fc23     fedora     1.8 M
 librbd1-devel                   x86_64    1:0.94.3-1.fc23     fedora      26 k
 libreoffice-calc                x86_64    1:5.0.3.1-1.fc23    updates    8.6 M
 libreoffice-core                x86_64    1:5.0.3.1-1.fc23    updates     74 M
 libreoffice-draw                x86_64    1:5.0.3.1-1.fc23    updates    677 k
 libreoffice-emailmerge          x86_64    1:5.0.3.1-1.fc23    updates     80 k
 libreoffice-filters             x86_64    1:5.0.3.1-1.fc23    updates     66 k
 libreoffice-graphicfilter       x86_64    1:5.0.3.1-1.fc23    updates    443 k
 libreoffice-impress             x86_64    1:5.0.3.1-1.fc23    updates    1.3 M
 libreoffice-math                x86_64    1:5.0.3.1-1.fc23    updates    1.0 M
 libreoffice-opensymbol-fonts    noarch    1:5.0.3.1-1.fc23    updates    240 k
 libreoffice-pdfimport           x86_64    1:5.0.3.1-1.fc23    updates    275 k
 libreoffice-pyuno               x86_64    1:5.0.3.1-1.fc23    updates    511 k
 libreoffice-ure                 x86_64    1:5.0.3.1-1.fc23    updates    2.5 M
 libreoffice-writer              x86_64    1:5.0.3.1-1.fc23    updates    4.2 M
 libreoffice-xsltfilter          x86_64    1:5.0.3.1-1.fc23    updates    408 k
 libwps                          x86_64    0.4.2-1.fc23        fedora     468 k
 poppler                         x86_64    0.34.0-1.fc23       fedora     797 k
 poppler-glib                    x86_64    0.34.0-1.fc23       fedora     143 k
 poppler-utils                   x86_64    0.34.0-1.fc23       fedora     179 k
 python-cephfs                   x86_64    1:0.94.3-1.fc23     fedora      26 k
 python-rados                    x86_64    1:0.94.3-1.fc23     fedora      44 k
 python-rbd                      x86_64    1:0.94.3-1.fc23     fedora      33 k

Transaction Summary
================================================================================

Nothing to do.
Complete!
Comment 1 Andrea Bolognani 2015-11-06 03:22:02 EST
I have managed to restore functionality to both LibreOffice
and Evince by allowing dnf to remove some packages during
update, and installing them manually after I was done.

Here are the detailed transactions:

Last metadata expiration check performed 0:26:51 ago on Fri Nov  6 08:47:48 2015.
Transaction ID : 135
Begin time     : Fri Nov  6 08:49:47 2015
Begin rpmdb    : 2105:45524a17d9e6dd83b168d44d3dad12800df912d7
End time       :            08:49:49 2015 (2 seconds)
End rpmdb      : 2100:49bcf6e68b7b04fe27a83ed14f4da6c1f58f663b
User           : Andrea Bolognani <abologna>
Return-Code    : Success
Transaction performed with:
    Installed     dnf-1.1.3-1.fc23.noarch        @@commandline
    Installed     rpm-4.13.0-0.rc1.4.fc23.x86_64 @@commandline
Packages Altered:
    Upgraded cups-filters-1.0.71-1.fc22.x86_64              @updates/22
    Upgrade               1.1.0-1.fc23.x86_64               @updates
    Upgraded cups-filters-libs-1.0.71-1.fc22.x86_64         @updates/22
    Upgrade                    1.1.0-1.fc23.x86_64          @updates
    Erase    libreoffice-draw-1:4.4.5.2-10.fc22.x86_64      @updates/22
    Erase    libreoffice-filters-1:4.4.5.2-10.fc22.x86_64   @updates/22
    Erase    libreoffice-pdfimport-1:4.4.5.2-10.fc22.x86_64 @updates/22
    Erase    openoffice.org-diafilter-1.7.4-1.fc23.x86_64   @fedora
    Upgraded poppler-0.30.0-3.fc22.x86_64                   (unknown)
    Upgrade          0.34.0-1.fc23.x86_64                   @fedora
    Upgraded poppler-glib-0.30.0-3.fc22.x86_64              (unknown)
    Upgrade               0.34.0-1.fc23.x86_64              @fedora
    Upgraded poppler-utils-0.30.0-3.fc22.x86_64             (unknown)
    Upgrade                0.34.0-1.fc23.x86_64             @fedora
    Erase    unoconv-0.7-1.fc23.noarch                      @fedora
Scriptlet output:
   1 warning: /etc/cups/cups-browsed.conf created as /etc/cups/cups-browsed.conf.rpmnew

Last metadata expiration check performed 0:26:56 ago on Fri Nov  6 08:47:48 2015.
Transaction ID : 136
Begin time     : Fri Nov  6 08:50:51 2015
Begin rpmdb    : 2100:49bcf6e68b7b04fe27a83ed14f4da6c1f58f663b
End time       :            08:51:16 2015 (25 seconds)
End rpmdb      : 2099:47ae20feebcd2d3f679af845dc546b6b225c306b
User           : Andrea Bolognani <abologna>
Return-Code    : Success
Transaction performed with:
    Installed     dnf-1.1.3-1.fc23.noarch        @@commandline
    Installed     rpm-4.13.0-0.rc1.4.fc23.x86_64 @@commandline
Packages Altered:
    Upgraded boost-1.57.0-6.fc22.x86_64                            @fedora/22
    Upgrade        1.58.0-8.fc23.x86_64                            @fedora
    Upgraded boost-atomic-1.57.0-6.fc22.x86_64                     @fedora/22
    Upgrade               1.58.0-8.fc23.x86_64                     @fedora
    Upgraded boost-chrono-1.57.0-6.fc22.x86_64                     @fedora/22
    Upgrade               1.58.0-8.fc23.x86_64                     @fedora
    Upgraded boost-context-1.57.0-6.fc22.x86_64                    @fedora/22
    Upgrade                1.58.0-8.fc23.x86_64                    @fedora
    Upgraded boost-coroutine-1.57.0-6.fc22.x86_64                  @fedora/22
    Upgrade                  1.58.0-8.fc23.x86_64                  @fedora
    Upgraded boost-date-time-1.57.0-6.fc22.x86_64                  (unknown)
    Upgrade                  1.58.0-8.fc23.x86_64                  @fedora
    Upgraded boost-filesystem-1.57.0-6.fc22.x86_64                 @fedora/22
    Upgrade                   1.58.0-8.fc23.x86_64                 @fedora
    Upgraded boost-graph-1.57.0-6.fc22.x86_64                      @fedora/22
    Upgrade              1.58.0-8.fc23.x86_64                      @fedora
    Upgraded boost-iostreams-1.57.0-6.fc22.x86_64                  (unknown)
    Upgrade                  1.58.0-8.fc23.x86_64                  @fedora
    Upgraded boost-locale-1.57.0-6.fc22.x86_64                     @fedora/22
    Upgrade               1.58.0-8.fc23.x86_64                     @fedora
    Upgraded boost-log-1.57.0-6.fc22.x86_64                        @fedora/22
    Upgrade            1.58.0-8.fc23.x86_64                        @fedora
    Upgraded boost-math-1.57.0-6.fc22.x86_64                       @fedora/22
    Upgrade             1.58.0-8.fc23.x86_64                       @fedora
    Upgraded boost-program-options-1.57.0-6.fc22.x86_64            @fedora/22
    Upgrade                        1.58.0-8.fc23.x86_64            @fedora
    Upgraded boost-python-1.57.0-6.fc22.x86_64                     @fedora/22
    Upgrade               1.58.0-8.fc23.x86_64                     @fedora
    Upgraded boost-random-1.57.0-6.fc22.x86_64                     @fedora/22
    Upgrade               1.58.0-8.fc23.x86_64                     @fedora
    Upgraded boost-regex-1.57.0-6.fc22.x86_64                      @fedora/22
    Upgrade              1.58.0-8.fc23.x86_64                      @fedora
    Upgraded boost-serialization-1.57.0-6.fc22.x86_64              @fedora/22
    Upgrade                      1.58.0-8.fc23.x86_64              @fedora
    Upgraded boost-signals-1.57.0-6.fc22.x86_64                    @fedora/22
    Upgrade                1.58.0-8.fc23.x86_64                    @fedora
    Upgraded boost-system-1.57.0-6.fc22.x86_64                     (unknown)
    Upgrade               1.58.0-8.fc23.x86_64                     @fedora
    Upgraded boost-test-1.57.0-6.fc22.x86_64                       @fedora/22
    Upgrade             1.58.0-8.fc23.x86_64                       @fedora
    Upgraded boost-thread-1.57.0-6.fc22.x86_64                     (unknown)
    Upgrade               1.58.0-8.fc23.x86_64                     @fedora
    Upgraded boost-timer-1.57.0-6.fc22.x86_64                      @fedora/22
    Upgrade              1.58.0-8.fc23.x86_64                      @fedora
    Upgraded boost-wave-1.57.0-6.fc22.x86_64                       @fedora/22
    Upgrade             1.58.0-8.fc23.x86_64                       @fedora
    Upgraded ceph-1:0.94.3-1.fc22.x86_64                           @updates/22
    Upgrade       1:0.94.3-1.fc23.x86_64                           @fedora
    Upgraded ceph-common-1:0.94.3-1.fc22.x86_64                    @updates/22
    Upgrade              1:0.94.3-1.fc23.x86_64                    @fedora
    Upgraded ceph-devel-compat-1:0.94.3-1.fc22.x86_64              @updates/22
    Upgrade                    1:0.94.3-1.fc23.x86_64              @fedora
    Erase    compat-qpid-cpp-client-0.24-20.fc22.x86_64            @fedora/22
    Upgraded libcephfs1-1:0.94.3-1.fc22.x86_64                     @updates/22
    Upgrade             1:0.94.3-1.fc23.x86_64                     @fedora
    Upgraded libcephfs1-devel-1:0.94.3-1.fc22.x86_64               @updates/22
    Upgrade                   1:0.94.3-1.fc23.x86_64               @fedora
    Upgraded libcephfs_jni1-1:0.94.3-1.fc22.x86_64                 @updates/22
    Upgrade                 1:0.94.3-1.fc23.x86_64                 @fedora
    Upgraded libcephfs_jni1-devel-1:0.94.3-1.fc22.x86_64           @updates/22
    Upgrade                       1:0.94.3-1.fc23.x86_64           @fedora
    Upgraded libcmis-0.5.0-2.fc22.x86_64                           (unknown)
    Upgrade          0.5.0-8.fc23.x86_64                           @fedora
    Upgraded liborcus-0.7.1-1.fc22.x86_64                          (unknown)
    Upgrade           0.7.1-6.fc23.x86_64                          @fedora
    Upgraded librados2-1:0.94.3-1.fc22.x86_64                      @updates/22
    Upgrade            1:0.94.3-1.fc23.x86_64                      @fedora
    Upgraded librados2-devel-1:0.94.3-1.fc22.x86_64                @updates/22
    Upgrade                  1:0.94.3-1.fc23.x86_64                @fedora
    Upgraded libradosstriper1-1:0.94.3-1.fc22.x86_64               @updates/22
    Upgrade                   1:0.94.3-1.fc23.x86_64               @fedora
    Upgraded libradosstriper1-devel-1:0.94.3-1.fc22.x86_64         @updates/22
    Upgrade                         1:0.94.3-1.fc23.x86_64         @fedora
    Upgraded librbd1-1:0.94.3-1.fc22.x86_64                        @updates/22
    Upgrade          1:0.94.3-1.fc23.x86_64                        @fedora
    Upgraded librbd1-devel-1:0.94.3-1.fc22.x86_64                  @updates/22
    Upgrade                1:0.94.3-1.fc23.x86_64                  @fedora
    Upgraded libreoffice-calc-1:4.4.5.2-10.fc22.x86_64             @updates/22
    Upgrade                   1:5.0.3.1-1.fc23.x86_64              @updates
    Upgraded libreoffice-core-1:4.4.5.2-10.fc22.x86_64             @updates/22
    Upgrade                   1:5.0.3.1-1.fc23.x86_64              @updates
    Upgraded libreoffice-emailmerge-1:4.4.5.2-10.fc22.x86_64       @updates/22
    Upgrade                         1:5.0.3.1-1.fc23.x86_64        @updates
    Upgraded libreoffice-graphicfilter-1:4.4.5.2-10.fc22.x86_64    @updates/22
    Upgrade                            1:5.0.3.1-1.fc23.x86_64     @updates
    Upgraded libreoffice-impress-1:4.4.5.2-10.fc22.x86_64          @updates/22
    Upgrade                      1:5.0.3.1-1.fc23.x86_64           @updates
    Upgraded libreoffice-math-1:4.4.5.2-10.fc22.x86_64             @updates/22
    Upgrade                   1:5.0.3.1-1.fc23.x86_64              @updates
    Upgraded libreoffice-opensymbol-fonts-1:4.4.5.2-10.fc22.noarch @updates/22
    Upgrade                               1:5.0.3.1-1.fc23.noarch  @updates
    Upgraded libreoffice-pyuno-1:4.4.5.2-10.fc22.x86_64            @updates/22
    Upgrade                    1:5.0.3.1-1.fc23.x86_64             @updates
    Upgraded libreoffice-ure-1:4.4.5.2-10.fc22.x86_64              @updates/22
    Upgrade                  1:5.0.3.1-1.fc23.x86_64               @updates
    Upgraded libreoffice-writer-1:4.4.5.2-10.fc22.x86_64           @updates/22
    Upgrade                     1:5.0.3.1-1.fc23.x86_64            @updates
    Upgraded libreoffice-xsltfilter-1:4.4.5.2-10.fc22.x86_64       @updates/22
    Upgrade                         1:5.0.3.1-1.fc23.x86_64        @updates
    Upgraded libwps-0.3.1-2.fc22.x86_64                            (unknown)
    Upgrade         0.4.2-1.fc23.x86_64                            @fedora
    Upgraded python-cephfs-1:0.94.3-1.fc22.x86_64                  @updates/22
    Upgrade                1:0.94.3-1.fc23.x86_64                  @fedora
    Upgraded python-rados-1:0.94.3-1.fc22.x86_64                   @updates/22
    Upgrade               1:0.94.3-1.fc23.x86_64                   @fedora
    Upgraded python-rbd-1:0.94.3-1.fc22.x86_64                     @updates/22
    Upgrade             1:0.94.3-1.fc23.x86_64                     @fedora

Last metadata expiration check performed 0:26:59 ago on Fri Nov  6 08:47:48 2015.
Transaction ID : 137
Begin time     : Fri Nov  6 08:53:09 2015
Begin rpmdb    : 2099:47ae20feebcd2d3f679af845dc546b6b225c306b
End time       :            08:53:10 2015 (1 seconds)
End rpmdb      : 2104:deb2107f07eafb6de542d10587ec97246ed464d3
User           : Andrea Bolognani <abologna>
Return-Code    : Success
Transaction performed with:
    Installed     dnf-1.1.3-1.fc23.noarch        @@commandline
    Installed     rpm-4.13.0-0.rc1.4.fc23.x86_64 @@commandline
Packages Altered:
    Install libreoffice-draw-1:5.0.3.1-1.fc23.x86_64      @updates
    Install libreoffice-filters-1:5.0.3.1-1.fc23.x86_64   @updates
    Install libreoffice-pdfimport-1:5.0.3.1-1.fc23.x86_64 @updates
    Install openoffice.org-diafilter-1.7.4-1.fc23.x86_64  @fedora
    Install unoconv-0.7-1.fc23.noarch                     @fedora

The only package that was installed before the update and
now is missing from the system is compat-qpid-cpp-client.
I'm assuming I can live without it.
Comment 2 Will Woods 2015-11-06 17:01:46 EST
(In reply to Andrea Bolognani from comment #0)
> Description of problem:
> 
>   After updating from Fedora 22 to Fedora 23 using dnf system-upgrade,
>   LibreOffice and Evince are not working anymore.
> 
>   This is very likely caused by the fact that both LibreOffice and
>   poppler were held back from the upgrade due to broken dependencies.

Probably those broken dependencies should get fixed, then.

As the man page says:

       ... problems encountered on your system after the  upgrade  com‐
       pletes  should  be  reported  to the maintainers of the affected compo‐
       nents.  In other words: if (for example) KDE stops working,  it's  best
       if you report that to the KDE maintainers.

Reassigning to libreoffice.
Comment 3 David Tardon 2015-11-09 03:53:24 EST
(In reply to Will Woods from comment #2)
> (In reply to Andrea Bolognani from comment #0)
> > Description of problem:
> > 
> >   After updating from Fedora 22 to Fedora 23 using dnf system-upgrade,
> >   LibreOffice and Evince are not working anymore.
> > 
> >   This is very likely caused by the fact that both LibreOffice and
> >   poppler were held back from the upgrade due to broken dependencies.
> 
> Probably those broken dependencies should get fixed, then.
> 
> As the man page says:
> 
>        ... problems encountered on your system after the  upgrade  com‐
>        pletes  should  be  reported  to the maintainers of the affected
> compo‐
>        nents.  In other words: if (for example) KDE stops working,  it's 
> best
>        if you report that to the KDE maintainers.

The problems were encountered because the upgrade _had not completed_. Specifically, compat-qpid-cpp-client, which has been deprecated in F-23, held back update of boost-*, which libreoffice (and a ton of other packages) depends on.
Comment 4 David Tardon 2015-11-09 03:57:23 EST
s/deprecated/retired/
Comment 5 Andrea Bolognani 2015-11-09 05:09:14 EST
dnf *did* warn me that some packages would be held back
from the upgrade due to broken dependencies, but I ignored
it and went ahead anyway figuring a fix would be released
soon enough.

I'm not sure where the compat-qpid-cpp-client package came
from - it definitely wasn't explicitly installed by me, but
I've installed stuff from external repositories so I can't
claim it was dragged in by an official Fedora package.

I just think other people upgrading to Fedora 23 might get
into the same situation, and not all of them might be as
willing to work around the issue by temporarily removing
some packages.

I'll leave deciding what the best course of action is to
you :)
Comment 6 Kamil Páral 2015-11-09 08:42:22 EST
Andrea, can you please attach /var/log/dnf.log and the output of "dnf system-upgrade log -1"?
Comment 7 Andrea Bolognani 2015-11-09 09:01 EST
Created attachment 1091757 [details]
/var/log/dnf.log

I'm attaching the log - it's actually
/var/log/dnf.log-20151109 as /var/log/dnf.log only
contains information about today.

'dnf system-upgrade log -1' returns

  Error: Cannot find logs with this index.
Comment 8 Kamil Páral 2015-11-09 10:24:00 EST
OK, I tested this with compat-qpid-cpp-client and the problem does not occur _anymore_. Unfortunately you used system-upgrade 0.4 which had some issue which were fixed in the currently stable release 0.7. But due to some unfortunate timing some people still received version 0.4 from the mirrors, even thought 0.7 was available on the release day. Sorry for your troubles and thanks for the reports. I believe this is resolved now with latest system-upgrade and we can close this.
Comment 9 Andrea Bolognani 2015-11-09 10:31:54 EST
Great news!

As I've explained, I've already worked around the problem
so I only care about other people not getting into the same
situation - if that's no longer possible then definitely go
ahead and close the BZ.

Thanks for your support :)

Note You need to log in before you can comment on or make changes to this bug.